Bug 168037 - Review Request: tetex-movie15
Review Request: tetex-movie15
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
http://texcatalogue.sarovar.org/entri...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-11 06:49 EDT by Michael A. Peters
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-29 10:03:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2005-09-11 06:49:06 EDT
Spec Name or Url: http://mpeters.us/fc_extras/tetex-movie15.spec
SRPM Name or Url: http://mpeters.us/fc_extras/tetex-movie15-1.0-1.src.rpm

%description
Defines \includemovie with PDF-1.5 compatibility. Option 'autoplay' causes the
media clip to be started right after the page has loaded. This is useful for
side by side movie clips to be played back synchronously.

-=-
comments:
The version number I made up, could not find a version in the README or the .sty file :-/

The author also doesn't seem to have his e-mail in either, I think I have his e-mail though, I will ask him what the version number should be if I can not find it.

Package builds in mock, rpmlint gives no errors.
It succesfully compiles a pdf document with embedded AVI file.
Comment 1 Michael A. Peters 2005-09-11 08:04:58 EDT
Note for testing:

pdf can be compiled with pdflatex or with dvips + ps2pdf

dvips + distiller, at least with Adobe online encoding (all I have acces to),
seems to fail.

Resulting PDF may not work in Linux (doesn't seem to with embedded avi file) but
should in Windows - I'm looking to see what needs to be done to get it to work
in Linux (with acroread).

PDF is viewable in Linux, but the embedded avi is not, reader claims no suitable
plugin found.
Comment 2 Michael A. Peters 2005-09-12 15:24:02 EDT
To get the embedded part of the PDF to work in Linux, it would require an
acrobat plugin (maybe gstreamer??) be developed for Linux.

But you can use this LaTeX style in Linux with either pdflatex or dvips + ps2pdf
to create a PDF that works on operating systems where adobe does provide a
plugin for Acroread (6 or newer)
Comment 3 Michael A. Peters 2005-10-10 14:17:57 EDT
http://mpeters.us/fc_extras/tetex-movie15-20050829-1.src.rpm
http://mpeters.us/fc_extras/tetex-movie15.spec

Updated spec file to fix some packaging booboos I made.
Comment 4 Orion Poplawski 2005-10-18 13:15:24 EDT
Looks like there is a 20051013 version available.  I'd also suggest using a
version of 0.YYYYMMDD unless you are positive that upstream will never use
simple version numbers.

I'd remove the commented BuildRequires: sed.

Otherwise the spec looks good.
-  License is okay.
-  rpmlint is silent
- appears to work with your above caveats
Comment 5 Michael A. Peters 2005-11-29 10:03:01 EST
I'm going to drop this - the upstream file is small but changes with some
frequency, and other than at school - I do not have a means to test it as it
changes (all linux at home), so I'm not really fit to maintain it until such
time as the output (PDF with embedded multimedia) works in one of the available
Linux PDF readers.

Note You need to log in before you can comment on or make changes to this bug.